.player-info{
    margin-top: 0;
    width:100%;
    overflow: hidden;
}

.player-photos{
    padding-top: 50px;
    padding-bottom: 50px;
    background-image:linear-gradient(#15522B 40% ,#fff);
    justify-content: center;
    display: flex;
    width: 100%;
    height: 600px;
    gap: 20px;
}

.player-main{
    height:90%;
    width:100%;
    background-size: cover;
    max-width:400px;
    flex: 1 1 150px;
}

.player-mini{
    align-self: center;
    height:50%;
    width:60%;
    max-width: 400px;
    overflow: hidden;
    flex: 1 1 100px;
    background-size: cover;
}

.player-bio{
    margin-right:5vw;
    margin-left:5vw;
    margin-bottom: 30px;
}

.bio-info{
    margin-bottom: 60px;
}

.bio-info p{
    font: 1.2em sans-serif;
    line-height: 1.5em;
}

.player-facts{
    gap:50px;
    margin-right:5vw;
    margin-left:5vw;
    line-height: 1.5em;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.player-header{
    margin-top:-30px;
    margin-bottom: -5px;
    background-color: #15522B;
    color:#FFDA3B;
    width: fit-content;
    justify-self: center;
    padding: 10px 25px;
    border-radius: 20px 20px 0px 0px;
}

.yellow-header,.yellow-box{
    background-color: #FFDA3B;
    color: #15522B;
    width: fit-content;
    justify-self: center;
    padding: 5px 15px;
    border-radius: 13px;
}

.green-header, .green-box{
    color: #FFDA3B;
    background-color: #15522B;
    width: fit-content;
    justify-self: center;
    padding: 5px 15px;
    border-radius: 13px;
}

.green-box,.yellow-box{
    font-size: 1.2em;
    padding-top:5px;
    margin-bottom: 50px;
    width:60%;
    max-width:500px;
}

.green-box h3,.yellow-box h3{
    margin-top: 0px;
}

#Aj{
    background-image: url(images/Aj\ Wallace\ 1.png);
    background-position: 20% 15%;
    background-size: 200%;
}

#Ashton{
    background-image: url(images/Ashton\ Golding\ 1.png);
    background-position: 80% 15%;
    background-size: 140%;
}

#Ben{
    background-image: url(images/Ben\ Jones\ Bishop\ 1.JPG);
    background-position: 62% 15%;
    background-size: 250%;
}

#Dec{
    background-image: url(images/Dec\ Tomlinson\ 1.jpg);
    background-position:50% 30%;
    background-size: 150%;
}

#Elijah{
    background-image: url(images/Elijah\ Hylton\ 1.png);
    background-position:50% 0%;
    background-size: 100%;
}

#Elijah-main{
    background-image: url("images/Elijah\ Hylton\ 2.png");
    background-position: 47% 0%;
}

#Elijah1{
    background-image: url("images/Elijah\ Hylton\ 3.jpg");
    background-position: 50% 0%;
}

#Elijah2{
    background-image: url("images/Elijah\ Hylton\ 4.jpeg");
    background-position: 50% 0%;
}

#Harlen{
    background-image: url(images/Harlen\ Smith\ 1.jpg);
    background-position:31% 0%;
    background-size: 180%;
}

#Isaac{
    background-image: url(images/Isaac\ Coleman\ 1.jpg);
    background-position:55% 50%;
    background-size: 151%;
}

#Jaden{
    background-image: url(images/Jaden\ Dayes\ 1.jpg);
    background-position:45% 50%;
    background-size: 151%;
}

#James{
    background-image: url(images/James\ Woodburn\ Hall\ 1.jpg);
    background-position:45% 0%;
    background-size: 260%;
}

#Jimmy{
    background-image: url(images/Jimmy\ Morgan\ 1.png);
    background-position:45% 15%;
    background-size: 100%;
}

#Joshua{
    background-image: url(images/Joshua\ Hudson\ Lett\ 1.jpg);
    background-position:49% 20%;
    background-size: 220%;
}

#Jy-Mel{
    background-image: url(images/Jy-Mel\ Coleman\ 1.jpg);
    background-position:49% 10%;
    background-size: 150%;
}

#Keenan{
    background-image: url(images/Keenan\ Ramsden\ 1.jpg );
    background-position:49% 30%;
    background-size: 150%;
}

#Keenen{
    background-image: url(images/Keenen\ Tomlinson\ 1.jpg );
    background-position:54% 20%;
    background-size: 300%; 
}

#Leo{
    background-image: url(images/Leo\ Skerrett\ Evans\ 1.jpg );
    background-position:3% 25%;
    background-size: 350%; 
}

.player-list{
    height:fit-content;
    display:flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 50px;
    margin:0px 50px;
    transform: translateX(-20px);
}

.avatar {
    width:100%;
    height:100%;
    object-fit: cover;
}

.card {
    flex-grow: 1;
    position: relative;
    height:100%;
    width: 100%;
    padding: 20px;
    display: flex;
    justify-content: space-around;
    text-align: center;
    color: #15522B;
    background-color: #FFDA3B;
    box-shadow: 0 5px 10px rgba(0,0,0, .5);
    border-radius: 15px;
    overflow:hidde;
}

.card h3{
  font-size:1.1em;
}

.player-list a{
    flex-basis: 150px;
    aspect-ratio: 1/1;
}

.player-container{
    flex-basis: 150px;
    aspect-ratio: 1/1;
}
  
 
.card .face{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0 0 15px 15px;
 }
.card .face.face1{
    box-sizing: border-box;
    padding: 20px;
  }
  
.card .face.face1 h2{
    margin: 0;
    padding: 0;
  }
  
.card .face.face1 .content{
    font-size:1.1em;
    margin:0;
    padding:0 0 1em 0;
    font-weight:500;
  }
  
.card .face.face2{
    transition: 0.5s;
  }
.card:nth-child(1) .face.face2{
    border-radius: 15px;
}
.card:hover .face.face2{
    height: 20px;
    border-radius:15px;
  }
  
  .card .face.face2:before{
    content:'';
    position: absolute;
    top:0;
    left:0;
    width: 50%;
    height: 100%;
    border-radius: 15px;
  }
.avatar{
        border-radius: 15px;
}

.face2{
    height: 100%;

    width: 100%;
    overflow: hidden;
}

.construction{
    margin-top: 150px;
}

.sponsor-carousel{
    margin-left: auto;
    margin-right: auto;
	background: white;
	position: relative;
    width: 100%;
    height: 120px;
    overflow: hidden;
}

.sponsor-carousel::before, .sponsor-carousel::after{
    background: linear-gradient(to right, white 0%, rgba(255,255,255,0) 100%);
    content: "";
    height: 120px;
    position: absolute;
    width: 200px;
    z-index: 2;
}

.sponsor-carousel::after{
    right: 0;
    top:0;
    transform: rotateZ(180deg);
}

.sponsor-carousel::before{
    left: 0;
    top:0;
}

.sponsor-carousel .carousel-track {
    -webkit-animation: scroll 20s linear infinite;
    animation: scroll 20s linear infinite;
    width: max-content;
    display: flex;
    gap:150px;
}

.carousel-img{
    align-content: center;
    justify-content: center;
    width: 250px;
    flex-shrink: 0;
}
.carousel-img img:hover{
    transform: scale(1.05);
}

.carousel-img img {
    justify-self: center;
    align-content: center;
    max-height: 120px;
    width: 250px;
    object-fit: contain;
}

@keyframes scroll{
    0%{
        transform: translateX(0);
    }
    100%{
        transform: translateX(calc(-250px * 5 - 150px * 5));
    }
}

.home-page{
    margin-top:77px;
}

.home-img, .team-bg{ 
    object-fit: cover;
    display: block;
    height: 100%;
    width: 100%;
}

#home-team{
    object-position: 0% 34%;
}
#home-about{
    object-position: 0% 23%;
}

.home-page,.team-page,.about-page,.sponsor-page{
    width: 100%;
    font-size: 20px; 
    text-align: center;
    position: relative;
    display: inline-block;
}

.home-page{
    aspect-ratio: 3/1;
}

.home-page,.about-page,.sponsor-page{
    background-color: #fff;
}

body{
    font-family: "Oswald", sans-serif;
    margin: 0;
    background-color: black;
    overflow-y: auto;
    overflow-x: hidden;
}


.home-text{
  position: absolute;
  width:100%;
  height:100%;
  top: 40%; 
  left: 50%; 
  transform: translate(-50%, -50%); 
  color: #fff;  
  text-align: center;
  font-size: 12vw;
  font-weight: bolder;
  text-shadow: 3px 0px 1px black;
}

.strip, .footer{
    background-color: #ddd;
    width: 100%;
    border: none;
}

.strip{
    height:17px;
}

.footer{
    display: block;
    height: 300px;
    color:#444;
    min-height:fit-content;
}

.footer-content{
    display: flex;
    flex-wrap: wrap;
    column-gap:120px;
    row-gap: 25px;
    height: fit-content;
    margin-bottom: 37px;
}

.footer h4{
    display: block;
    justify-self: center;
    margin-bottom: 0px;
    margin-top:105px;
}

#contact p{
    margin-top: 0px;
}

.socials{

    padding-top: 15px;
    padding-left: 25px;
    display:flex;
    height:fit-content;
    flex-direction: column;
}

.socials img{
    opacity: 80%;
    height:30px;
}

.socials .email{
    margin-left: 9px;
    height:14px;
    opacity: 60%;
    padding-top:7px;
}


.socials a{
    padding-top: 5px;
    text-align: center;
    color: #444;
    text-decoration: none;
}

.socials a:hover{
    transform: scale(1.2);
    text-align: center;
    color: #444;
    text-decoration: none;
}
.socials a:hover ~ img{
    transform: scale(1.2);
}

.socials h3{
    text-decoration: underline;
}

.footer-img-link{
    display:flex;
    align-content: center;
    gap: 8px;
}


.hero{
    border: none;
    height:60px;
    background-color: white;
    display: flex;
    justify-content: space-evenly;
    width:100%;
}
.logo{
    border: none;
    height:85%;
    width: auto;
    align-self: center;
}

.hero button{
    font-family: "Oswald", sans-serif;
    font-size: 1.2rem;
    font-weight: bold;
    background-color: white;
    border: none;
}

button {
  --line-thickness: 0.12em;
  --line-offset: 0.12em;

  font-size: 2vw;
  color: #000000;
  position: relative;
  display: inline-block;
}
button:hover{
    cursor: pointer;
}

.hero-button{
    --text-color: #000000;
    --text-hover: #15522B;
    transition: color 0.4s ease-out;
    color: var(--text-color);
}

.hero-button::after,
.hero-button::before {
    content: '';
    position: absolute;
    width: 0;
    height: var(--line-thickness);
    background: var(--text-hover);
    transition: width 0.4s ease-out;
    will-change: width, color;
}

.hero-button::before {
    top: var(--line-offset);
    left: 0;
}

.hero-button::after {
    bottom: var(--line-offset);
    right: 0;
}

.hero-button:hover::after,
.hero-button:hover::before {
    width: 100%;
}

.hero-button:hover {
    color: var(--text-hover);
}

.hero .donate-btn{
    background-color: #15522B;
    color: #ddd;
    border: none;
    margin-top: 7px;
    margin-bottom: 7px;
    padding: 0px 20px;
}

.sponsor-page{
    height: fit-content;
    padding-bottom: 120px;
}


.team-page{
    text-align: center;
    height: fit-content;
    background-image: url('images/jamaica-kit.png');
    background-size: cover;
}

#team-container{
    background-color: #FFDA3B;
}

.team-header{
    color: #15522B;
    text-shadow: none;
}

.team-text{
    color: #15522B;
    text-shadow: 1px 1px 1px #15522B;
}

.about-text,.team-text,.back-link{
    align-self: center;
    font-size: 100%;
    line-height: 1.2em;
    font-family: sans-serif;
    padding-right: 20px;
    padding-left: 20px;
}

.back-link{
    display: none;
    color:#000000;
    font-family: "Oswald", sans-serif;
}

.about-page{
    height:fit-content;
    background-color: #FFDA3B;
}


.about-header,.team-header{
    font-size: 2em;
    font-weight: bolder;
    display:block; 
}

.back{
    justify-self: left;
    padding-top:15px;
    width: 100%;
    justify-items: left;
    display: block;
    background-color: #fff;
    margin-bottom: 0;
    padding-bottom: 30px;
}

#team{
    background-color: #fff;
    padding-bottom: 150px;
}

#about{
    background-color: white;
}

li{
    margin-bottom: 40px;
    font-family: sans-serif;
}

li strong{
    font-family: "Oswald", sans-serif;
}

#player-page{
    margin-top: 77px;
    height:fit-content;
    background-color: white;
    width: 100%;
}

.navbar{
    position: fixed; 
    top: 0; 
    width: 100%;
    max-width: 100%;
    z-index: 1000;
    border-bottom: #ddd solid 2px;
    overflow: hidden;
}

.menu-icon{
    display: none;
    cursor: pointer;
    margin-right: 20px;
}

.bar1, .bar2, .bar3 {
  width: 35px;
  height: 5px;
  background-color: #333;
  margin: 6px 0;
  transition: 0.4s;
}

.change .bar1{
    transform: translate(0,11px) rotate(-45deg);
}
.change .bar2{
    opacity: 0;
}
.change .bar3{
    transform: translate(0,-11px) rotate(45deg);
}

.hero-text-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-text{
    font-family:"Oswald", sans-serif ;
    font-size: 0.9rem;
    color: black;
    margin-top:-1px;
    margin-bottom: -1px;
}

.menu-icon{
    width: auto;
    height: 60%;
    cursor: pointer;
    margin-right: 20px;
}

.sidebar{
    margin-top: 77px;
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    overflow-x: hidden;
    background-color: #fff;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    padding-top: 30px;
    text-align: center;
}

.sidebar a{
    padding: 25px 8px 25px 8px;
    text-decoration: none;
    font-size: 2em;
    color: #616161;
    display: block;
    transition: 0.3s;
}

.sidebar a:hover{
    color: #222;
}

.border{
    border: none;
    height: 2px;
    background-color: #616161;
    align-self: center;
    width: 90%;
    border-radius: 1px;
}

.navbar-container{
    display: flex;
    gap:5px;
    height: 100%;
}

.page-container{
    max-height: 800px;
    justify-self: center;
    border-radius: 10px;
    width: fit-content;
    min-width: 350px;
    margin: 50px 50px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: #08562F;

}


.page-photo{
    max-height: inherit;
}

.page-photo-img{
    min-height: 300px;
    aspect-ratio: 1;
    object-fit: cover;
    width: 100%;
}

.page-info{
    font-size: larger;
    padding:5%;
    flex-basis: 39%;
    flex-grow: 1;
    display: inline-flex;
    flex-direction: column;
    color: white;
    text-shadow: 1px 1px 1px #000000;
}

.page-text{
    flex-grow: 0.5;
}



.page-btn{
    margin-top: 20px;
    height: 50px;
    font-size: 1.2em;
    max-width: 100%;
    border-radius: 5px;
    background-color:gold;
    color: #15522B;
    border:none;
    padding: 10px 20px;
    padding-bottom: 45px;
    margin-bottom: 25px;
    transition: background-color 0.4s ease-out, color 0.4s ease-out;
}

.page-btn:hover{
    background-color: goldenrod;
    color: var(--text-hover);
}

.page-btn:active{
    background-color: goldenrod;
    color: var(--text-hover);
}

.green-btn{
    color:gold;
    background-color: #15522B;
}

.green-btn:hover,.donate-btn:hover{
    transition: background-color 0.4s ease-out, color 0.4s ease-out;
    background-color: forestgreen;
    color: var(--text-hover);
}
.donate-btn:hover{
    color:#ddd;
}
.green-btn:active{
    background-color: forestgreen;
    color: var(--text-hover);
}

.sponsors{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-left: 100px;
    margin-right: 100px;
}

.sponsors a{
    flex-basis: 250px;
    flex-grow: 1;
    height: 250px;
}

.sponsor{
    width: 100%;
    height: 100%;
    background-color: white;
    display: flex;
    justify-content: center;
    outline: #616161 solid 5px;
}

.sponsor-text{
  	text-align:center;
  	display:block;
    color: #FFDA3B;
    background-color: #616161;
    border: #616161 solid 3px;
    width: fit-content;
    justify-self: center;
    padding: 10px 20px;
    border-radius: 15px 15px 0px 0px;
    margin-bottom: 0px;
}

#wata{
    background-image: url("images/watalogo.avif");
    background-size: auto 90%;
    background-repeat: no-repeat;
    background-position: center;
}

#struddys{
    background-image: url("images/Screenshot\ 2025-01-31\ at\ 11_42_21\ AM.avif");
    background-size: 90% auto;
    background-repeat: no-repeat;
    background-position: center;
}

#jamroc{
    background-image: url("images/Jamroc_updated.jpeg");
    background-size: auto 120%;
    background-repeat: no-repeat;
    background-position: center;
}


@media screen and (max-width:780px){
    .player-photos{
        display: block;
        justify-items: center;
        min-height: fit-content;
    }

    .player-main{
        margin-top:20px;
        margin-bottom: 20px;
    }

    .page-btn{
        margin-top: 30px;
        display: inline;
        padding: 3px 10px;
        font-size: 1em;
    }
    .hero button{
        display:none;
    }

    .about-text,.team-text{
        margin-top:5px;
        margin-bottom: 5px;
    }

    .back-link{
        display: block;
    }

    .page-info{
        padding: 10px;
    }

    .page-container{
        max-height: fit-content;
        flex-direction: column;

    }

    .page-photo-img{
        margin-top: 20px;
    }

    .hero{
        justify-content: space-between;
        align-items: center;
    }

    .navbar-container{
        margin-left: 20px;
    }

    ::-webkit-scrollbar {
        -webkit-appearance: none;
    }
    * {
        scrollbar-width: thin;
        scrollbar-color: #ccc #fff;
    }

    .player-container, .player-list a{
        flex-basis: 100px;
        font-size: .8rem;
    }

    .menu-icon{
        display: inline-block;
    }

    .sponsors{
        margin-left: 20px;
        margin-right: 20px;
    }

    .sponsors a{
        flex-basis: 150px;
        height: 150px;
    }

    .sponsor-text{
      	text-align:center;
      	display: block;
        font-size: 1.175em;
        padding: 5px 10px;
    }

}

@media screen and (max-width:380px){
    .page-container{
        min-width: 310px;
}
}

@media screen and (max-width:404px){
    .player-facts h3{
        font-size:1em;
    }
}

@media screen and (max-width:780px){
    

}


@media screen and (min-width:781px){
    .hero-text,.hero-text-container,.menu-icon{
        display:none;
    }
}

@media screen and (min-width:920px){
    .player-container, .player-list a{
        flex-basis:200px;
    }
}